<?php
global $conn;
require 'config.php';
require '../vendor/autoload.php';
use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$headers = apache_request_headers();
$jwt = str_replace("Bearer ", "", $headers['Authorization']);

$data = json_decode(file_get_contents("php://input"));

if($jwt){
    try {
        if(isset($data->AdmissionNo)){
            $admissionNo = $data->AdmissionNo;


            $sql = "SELECT AdmissionNo, FirstName, SurName, OtherNames, Programme, DepartmentName, CountryofOrigin, School 
                    FROM students 
                    WHERE AdmissionNo = ? 
                    LIMIT 1";
            $stmt = $conn->prepare($sql);
            if ($stmt) {
                $stmt->bind_param("s", $admissionNo);
                if ($stmt->execute()) { // Check if execute is successful
                    $result = $stmt->get_result();
                    $data = $result->fetch_assoc();
                    echo json_encode(["success" => true, "data" => $data]);
                } else {
                    // Handle execution error
                    echo json_encode(["Error" => "Failed to retrieve student!", "SQL Error" => $stmt->error]); // You can also provide more specific error information
                }
                $stmt->close();
            } else {
                // Handle statement preparation error
                //echo "Error: " . $conn->error;
                echo json_encode(["Error" => "Failed to prepare SQL statement!" . $conn->error]);
            }
        } else {
            echo json_encode(["message" => "Enter all details!"]);
        }

    } catch (Exception $e){
        echo json_encode(["message" => "Access denied!"]);
    }
} else {
    echo json_encode(["message" => "Access denied!"]);
}
?>
