<?php
require 'config.php';
require '../vendor/autoload.php';
use \Firebase\JWT\JWT;

$data = json_decode(file_get_contents("php://input"));

if(isset($data->username) && isset($data->password)){
    $username = $data->username;
    $password = $data->password;

    $stmt = $conn->prepare("SELECT * FROM users WHERE username = ?");
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $user = $stmt->get_result()->fetch_object();

    if ($user) {
        // Debug: Check if user is found and what the hashed password is
        echo json_encode(["message" => "User found!", "hashed_password" => $user->password, "user_password" => $password]);

        if(strcmp($password, $user->password) == 0){
            $key = "hightelplc_bankapi";
            $payload = array(
                "iss" => "hightelplc",
                "aud" => "hightelplc",
                "iat" => time(),
                "exp" => time() + (60 * 60),
                "data" => array(
                    "id" => $user->id,
                    "username" => $user->username
                )
            );
            $jwt = JWT::encode($payload, $key, 'HS256');
            echo json_encode(["token" => $jwt]);
        } else {
            // Debug: If password verification fails
            echo json_encode(["message" => "Invalid credentials! Password verification failed."]);
        }
    } else {
        // Debug: If user is not found in the database
        echo json_encode(["message" => "Invalid credentials! User not found."]);
    }
} else {
    echo json_encode(["message" => "Invalid input!"]);
}
?>
