<?php
global $conn;
require 'config.php';
require '../vendor/autoload.php';
use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$headers = apache_request_headers();
$jwt = str_replace("Bearer ", "", $headers['Authorization']);

$data = json_decode(file_get_contents("php://input"));

if($jwt){
    try {
        if(isset($data->index_no) && isset($data->full_name)){
            $index_no = $data->index_no;
            $full_name = $data->full_name;
            $payment_date = $data->payment_date;
            $fee_type_code = $data->fee_type_code;
            $amount_paid = $data->amount_paid;
            $transaction_reference = $data->transaction_reference;
            $bank = $data->bank;

            date_default_timezone_set('Africa/Accra');
            // Create a new DateTime object and format it
            $dateTime = new DateTime();
            $dateTime = $dateTime->format('Y-m-d H:i:s');

            $sql = "INSERT INTO bankpay (index_no, full_name, payment_date, fee_type_code, amount_paid, transaction_reference, bank, date_created) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";
            $stmt = $conn->prepare($sql);
            if ($stmt) {
                $stmt->bind_param("ssssssss", $index_no, $full_name, $payment_date, $fee_type_code, $amount_paid, $transaction_reference, $bank, $dateTime);
                if ($stmt->execute()) { // Check if execute is successful
                    echo json_encode(["Success" => "Payment sent successfully!"]);
                } else {
                    // Handle execution error
                    echo json_encode(["Error" => "Failed to send payment!", "SQL Error" => $stmt->error]); // You can also provide more specific error information
                }
                $stmt->close();
            } else {
                // Handle statement preparation error
                //echo "Error: " . $conn->error;
                echo json_encode(["Error" => "Failed to prepare SQL statement!" . $conn->error]);
            }
        } else {
            echo json_encode(["message" => "Enter all details!"]);
        }

    } catch (Exception $e){
        echo json_encode(["message" => "Access denied!"]);
    }
} else {
    echo json_encode(["message" => "Access denied!"]);
}
?>
